package com.ruoyi.system.service;

import java.util.List;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.StudentInfo;

/**
 * 学生档案信息Service接口
 * 
 * @author ruoyi
 * @date 2023-07-21
 */
public interface IStudentInfoService 
{
    /**
     * 查询学生档案信息
     * 
     * @param id 学生档案信息主键
     * @return 学生档案信息
     */
    public StudentInfo selectStudentInfoById(Long id);

    /**
     * 查询学生档案信息列表
     * 
     * @param studentInfo 学生档案信息
     * @return 学生档案信息集合
     */
    public List<StudentInfo> selectStudentInfoList(StudentInfo studentInfo);

    /**
     * 新增学生档案信息
     * 
     * @param studentInfo 学生档案信息
     * @return 结果
     */
    public AjaxResult insertStudentInfo(StudentInfo studentInfo);

    /**
     * 修改学生档案信息
     * 
     * @param studentInfo 学生档案信息
     * @return 结果
     */
    public int updateStudentInfo(StudentInfo studentInfo);

    /**
     * 批量删除学生档案信息
     * 
     * @param ids 需要删除的学生档案信息主键集合
     * @return 结果
     */
    public int deleteStudentInfoByIds(Long[] ids);

    /**
     * 删除学生档案信息信息
     * 
     * @param id 学生档案信息主键
     * @return 结果
     */
    public int deleteStudentInfoById(Long id);
}
